libdap::XDRFileUnMarshaller Class Reference

unmarshaller that knows how to unmarshall/deserialize dap objects using XDR from a file More...

`#include <XDRFileUnMarshaller.h>`

Inheritance diagram for libdap::XDRFileUnMarshaller:

## Public Member Functions

virtual void | dump (ostream &strm) const
| dump the contents of this object to the specified ostream More...
virtual void | get_byte (dods_byte &val)
virtual void | get_float32 (dods_float32 &val)
virtual void | get_float64 (dods_float64 &val)
virtual void | get_int (int &val)
virtual void | get_int16 (dods_int16 &val)
virtual void | get_int32 (dods_int32 &val)
virtual void | get_opaque (char *val, unsigned int len)
virtual void | get_str (string &val)
virtual void | get_uint16 (dods_uint16 &val)
virtual void | get_uint32 (dods_uint32 &val)
virtual void | get_url (string &val)
virtual void | get_vector (char **val, unsigned int &num, int width, Vector &vec)
virtual void | get_vector (char **val, unsigned int &num, Vector &vec)
| XDRFileUnMarshaller (FILE *out)

## Detailed Description

unmarshaller that knows how to unmarshall/deserialize dap objects using XDR from a file

Definition at line 45 of file XDRFileUnMarshaller.h.

## Member Function Documentation

## dump()

void libdap::XDRFileUnMarshaller::dump | ( | ostream & | strm | ) | const

virtual

dump the contents of this object to the specified ostream

This method is implemented by all derived classes to dump their contents, in other words, any state they might have, private variables, etc...

Parameters

  strm | C++ i/o stream to dump the object to

Implements libdap::UnMarshaller.

Definition at line 191 of file XDRFileUnMarshaller.cc.

The documentation for this class was generated from the following files:

- XDRFileUnMarshaller.h
- XDRFileUnMarshaller.cc